Matching Jobs
List matching jobs
GET
List the newest matching jobs of the project with their counters.
HTTPBearerheader
AuthorizationBearer <token>An API key
project_id*stringlimit?integerRange
1 <= value <= 100Default
20Successful Response
application/json- response
[index: integer]?A matching job with the counters of its run.
websites counts, per website of the run, the products it loaded and those new or changed.
overlap of a completed job counts, per pair of its websites, the products that the
project's matches connect, also through a third website.
curl -X GET 'https://api.deepscout.ai/v1/jobs/matching?project_id=string'[ { "job_id": "string", "job_type": "MATCHING", "status": "CREATED", "project_id": "string", "website_id": "string", "estimate": { "currency": "string", "unit_price_per_1000": "12.68", "quantity": 0, "total": "12.68", "cap": "12.68", "min_charge": "12.68", "difficulty": "EASY", "input_products": 0 }, "approval": { "approved_by": "string", "approved_at": "2026-09-16T12:30:00.000Z" }, "settlement": { "quantity": 0, "currency": "string", "amount": "12.68", "capped": true, "settled_at": "2026-09-16T12:30:00.000Z" }, "error": "string", "error_code": "WEBSITE_TOO_LARGE", "contact_reason": "WEBSITE_TOO_LARGE", "contact_request_id": "string", "created_at": "2026-09-16T12:30:00.000Z", "updated_at": "2026-09-16T12:30:00.000Z", "finished_at": "2026-09-16T12:30:00.000Z", "reference_website_id": "string", "competitor_website_ids": [ "string" ], "sample": false, "matching_progress": { "products_checked": 0, "products_skipped_not_modified": 0, "new_matches": 0, "phase": "MATCHING_PRODUCTS", "percent": 0, "products_processed": 0, "products_total": 0, "estimated_minutes_left": 0 }, "overlap": [ { "website_id": "string", "match_website_id": "string", "products": 0 } ], "websites": [ { "website_id": "string", "products": 0, "modified": 0 } ] }]